summaryrefslogtreecommitdiffstats
path: root/filehooker/root-image/krebs/bin
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2014-03-25 22:25:08 +0100
committermakefu <github@syntax-fehler.de>2014-03-25 22:25:08 +0100
commit03d8dd28aaaf10aa25fb9c5b2ee22c8ba5798d3c (patch)
tree3e8c255eec6dd1a658fcc59c394fff67b78d11d7 /filehooker/root-image/krebs/bin
parentc6c488bba8dc6735bb48d85c9bd43f6f33bce773 (diff)
add reaktor secret
Diffstat (limited to 'filehooker/root-image/krebs/bin')
-rw-r--r--filehooker/root-image/krebs/bin/add-reaktor-secret.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/filehooker/root-image/krebs/bin/add-reaktor-secret.sh b/filehooker/root-image/krebs/bin/add-reaktor-secret.sh
new file mode 100644
index 00000000..7d3fa7f8
--- /dev/null
+++ b/filehooker/root-image/krebs/bin/add-reaktor-secret.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -euf
+green='\e[0;32m'
+red='\e[0;31m'
+nc='\e[0m'
+black='\e[0;30m'
+
+
+printf "${green}Add a Reaktor Secret${nc}\n"
+
+printf "provide Nick Name:\n"
+nick=${1:-}
+test -z "${nick:-}" && read nick
+printf "provide Secret:$black\n"
+nick=${2:-}
+test -z "${secret:-}" && read secret
+
+printf "${nc}nick secret"